<?php

/**
 *
 * Collectivites/get_logo.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<img src="<?php echo LOGO_URL . '/' . $logo_url; ?>" alt="" />
<div id="buttonDeleteLogo"></div>

<script type="text/javascript">
<?php if(!empty($logo_url)):?>
    gui.addbuttons({
        element: $('#buttonDeleteLogo'),
        buttons: [
            {
                content: '<i class="fa fa-trash" aria-hidden="true"></i> <?php echo __d("default", "Button.delete"); ?>'
            }
        ]
    });

    $('#buttonDeleteLogo').click(function () {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: "/collectivites/deleteLogo/" + <?php echo $col_id; ?>,
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    $("#buttonDeleteLogo").empty();
                    $("#buttonDeleteLogo").append(data);
                    $("#logo img").attr("src", "");
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });
<?php endif;?>
</script>
