<?php

/**
*
* Contact/import.ctp View File
*
* web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
*
* PHP version 7
* @author Yuzhu JIN
* @copyright Initié par ADULLACT - Développé par ADULLACT Projet
* @link http://adullact.org/
* @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
* 
*/
?>
<script src="http://malsup.github.com/jquery.form.js"></script>
<?php 
echo $this->Form->create(array(
    'class' => 'form-horizontal',
    'enctype' => 'multipart/form-data',
    'inputDefaults' => array(
        'format' => array('before', 'label', 'between', 'input', 'error', 'after'),
        'div' => array('class' => 'control-group'),
        'label' => array('class' => 'control-label  col-sm-3'),
        'between' => '<div class="controls  col-sm-5">',
        'after' => '</div>',
        'error' => array('attributes' => array('wrap' => 'span', 'class' => 'help-inline')),
        )));  
?>
<div class="form-group">
    <label class="col-sm-5 control-label">Choisir votre format:</label>
    <div class="controls  col-sm-5">
        <div class="radio">
            <label>
                <input id="ImportFormatVcf" name="data[Import][format]" value="vcf" type="radio">
                VCard
            </label>
        </div>
        <div class="radio">
            <label>
                <input id="ImportFormatCsv" name="data[Import][format]" value="csv" type="radio">
                CSV
            </label>
        </div>
    </div>
</div>


<?php
//Fichier
    $legendFichier = $this->Html->tag('legend','Importer votre fichier:');
//$attributesFichier = array('type' => 'file', 'label' =>'Fichier');
    $inputFichier =$this->Form->input('Import.file', array('label' =>array('text'=> 'Importer votre fichier:','class'=>'control-label  col-sm-5'), 'type' => 'file','class' => 'form-control'));
//$inputFichier = $this->Form->input('Import.file',$attributesFichier);
    $modelFichierEn = $this->Html->link('Anglais',array('controller' => 'contacts', 'action' => 'download_model', 'en'),array('target' => '_blank','class' => 'btn btn-info-webgfc'));
    $modelFichierFr = $this->Html->link('Français',array('controller' => 'contacts', 'action' => 'download_model', 'fr'),array('target' => '_blank','class' => 'btn btn-info-webgfc'));
    $controlGroupDivLabel = $this->Html->tag('label','Télécharger Fichier Model CSV：',array('class'=>'control-label  col-sm-8'));
    $controlGroupDivControls = $this->Html->div('controls col-sm-3',$modelFichierEn.$modelFichierFr);
    $controlGroupDiv = $this->Html->div('control-group',$controlGroupDivLabel.$controlGroupDivControls);
    echo $this->Html->tag('fieldset', $legendFichier.$inputFichier.$controlGroupDiv,array('class'=>'fieldset_fichier') );

//Analyse
    $legendAnalyse = $this->Html->tag('legend','Analyse Votre Fichier');
    $contentAnalyse = $this->Html->div('content_res alert alert-success','');
    echo $this->Html->tag('fieldset', $legendAnalyse.$contentAnalyse, array('class'=>'fieldset_analyse'));
?>
<fieldset class="fieldset_organism_viewOrganisme">
    <legend>Organisme concerné</legend>
    <div class="control-group">
        <label class="col-sm-5 control-label">Organisme:</label>
        <div class="controls  col-sm-5">
            <div class="radio">
                <label>
                    <input id="ImportCarnetTrue" name="data[Import][organisme_id]" value="<?php echo $orgId;?>" type="radio" checked>
                    <div><?php echo $origanismeName;?></div>
                </label>
            </div>

        </div>
    </div>
</fieldset>

<fieldset class="fieldset_carnet_viewOrganisme">
    <legend>Carnet concerné</legend>
    <div class="control-group">
        <label class="col-sm-5 control-label">Carnet:</label>
        <div class="controls  col-sm-5">
            <div class="radio">
                <label>
                    <input id="ImportCarnetTrue" name="data[Import][addressbook_id]" value="<?php echo $addressbookId; ?>" type="radio" checked>
                    <div><?php echo $addressbookName;?></div>
                </label>
            </div>
        </div>
    </div>
</fieldset>

<div id='importViewOrganisme' class='panel-footer'>
    <a id="saveImportContact" class="btn btn-success"><i class="fa fa-check" aria-hidden="true"></i> Valider</a>
    <a id="cancelImportContact" class="btn btn-danger"><i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler</a>
</div>

    <?php
    echo $this->Form->end();
    ?>

<script type="text/javascript">
    $('#infos .controls .subFormImport').hide();
    $('.fieldset_fichier').hide();
    $('.fieldset_analyse').hide();
    $('.fieldset_organisme').hide();

    $('.fieldset_organism_viewOrganisme').hide();
    $('.fieldset_carnet_viewOrganisme').hide();
    $('.isExisteName').hide();


    $('input[name="data[Import][format]"]').change(function () {
        if ($('input[name="data[Import][format]"]:checked').val() != '') {
            $('.fieldset_fichier').show();
            $('.fieldset_fichier label[for="ImportFichier"]').empty();
            $('.fieldset_fichier label[for="ImportFichier"]').append('Fichier *.' + $('input[name="data[Import][format]"]:checked').val());
        }
    });


    var orgId = <?php echo $orgId;?>;
    var addressbookId = <?php echo $addressbookId;?>;
    $('#ImportFile').change(function () {
        $('#ContactImportContactsForm').ajaxSubmit({
            dataType: 'json',
            type: 'post',
            url: '/Contacts/import/' + addressbookId + '/' + orgId,
            success: function (data) {
                $('.fieldset_analyse').show();
                if (data['situation'] == true && data['message'] != false) {
                    $('.fieldset_analyse .content_res').empty();
                    $('.fieldset_analyse .content_res').removeClass("error");
                    $('.fieldset_analyse .content_res').append(data['message']);
                    $('.fieldset_analyse .content_res').append('<input type="hidden" value="' + data['filename'] + '" name="data[Import][update_file]">');

                    $('#infos .controls .subFormImport').show();
                    <?php if(isset($viewOriganisme) && $viewOriganisme==true): ?>
                    $('.fieldset_organism_viewOrganisme').show();
                    $('.fieldset_carnet_viewOrganisme').show();
                    $('#infos .panel-footer').hide();
                    $('#infos .panel-default').append($('#importViewOrganisme').show());
                    <?php endif; ?>

                } else {
                    $('.fieldset_analyse .content_res').empty();
                    $('.fieldset_analyse .content_res').addClass("error");

                    if (data['message'] != false) {
                        $('.fieldset_analyse .content_res').append(data['message']);
                    } else {
                        $('.fieldset_analyse .content_res').append('Votre fichier ne peut pas être importé, Vérifier les contenus de votre fichier.');
                    }
                }

            }
        });
    });

    $('#importViewOrganisme').hide();

    $('#cancelImportContact').click(function () {
        gui.request({
            url: '/organismes/get_organismes/<?php echo $orgId; ?>',
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
        $('#importViewOrganisme').remove();
        $('#infos .panel-footer').show();
    });

    $('#saveImportContact').click(function () {
        var form = $('#ContactImportContactsForm');
        if (form_validate(form)) {
            $.ajax({
                type: 'post',
                dataType: 'json',
                url: '/Contacts/import/<?php echo $addressbookId; ?>/<?php echo $orgId; ?>',
                data: form.serialize(),
                success: function (data) {
                    gui.request({
                        url: '/organismes/get_organismes/<?php echo $orgId; ?>',
                        updateElement: $('#infos .content'),
                        loader: true,
                        loaderMessage: gui.loaderMessage
                    });
                    $('#importViewOrganisme').remove();
                    $('#infos .panel-footer').show();
                }
            });
        } else {
            swal({
                title: "Oops...",
                text: "Veuillez vérifier votre formulaire!",
                type: "error",
                timer: 1500
            });
        }
    });

</script>

