<?php

/**
*
* Contact/import.ctp View File
*
* web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
*
* PHP version 7
* @author Yuzhu JIN
* @copyright Initié par ADULLACT - Développé par ADULLACT Projet
* @link http://adullact.org/
* @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
* 
*/
?>
<script src="http://malsup.github.com/jquery.form.js"></script>
<?php 

echo $this->Form->create(array(
    'class' => 'form-horizontal',
    'enctype' => 'multipart/form-data',
    'url'=>array( 'controller' => 'contacts', 'action' => 'import'),
    'inputDefaults' => array(
        'format' => array('before', 'label', 'between', 'input', 'error', 'after'),
        'div' => array('class' => 'control-group'),
        'label' => array('class' => 'control-label  col-sm-3'),
        'between' => '<div class="controls  col-sm-5">',
        'after' => '</div>',
        'error' => array('attributes' => array('wrap' => 'span', 'class' => 'help-inline')),
        )));  
//Format
?>
<div class="form-group">
    <label class="col-sm-5 control-label">Choisir votre format:</label>
    <div class="controls  col-sm-5">
        <div class="radio">
            <label>
                <input id="ImportFormatVcf" name="data[Import][format]" value="vcf" type="radio">
                VCard
            </label>
        </div>
        <div class="radio">
            <label>
                <input id="ImportFormatCsv" name="data[Import][format]" value="csv" type="radio">
                CSV
            </label>
        </div>
    </div>
</div>


<?php
//Fichier
//echo $this->Form->create(array('action'=>'import','id'=>'ImporterFichier','enctype' => 'multipart/form-data'));
    $legendFichier = $this->Html->tag('legend','Importer votre fichier:');
//$attributesFichier = array('type' => 'file', 'label' =>'Fichier');
    $inputFichier =$this->Form->input('Import.file', array('label' =>array('text'=> 'Importer votre fichier:','class'=>'control-label  col-sm-5'), 'type' => 'file','class' => 'form-control'));
//$inputFichier = $this->Form->input('Import.file',$attributesFichier);
    $modelFichierEn = $this->Html->link('Anglais',array('controller' => 'contacts', 'action' => 'download_model', 'en'),array('target' => '_blank','class' => 'btn btn-info-webgfc'));
    $modelFichierFr = $this->Html->link('Français',array('controller' => 'contacts', 'action' => 'download_model', 'fr'),array('target' => '_blank','class' => 'btn btn-info-webgfc'));
    $controlGroupDivLabel = $this->Html->tag('label','Télécharger Fichier Model CSV：',array('class'=>'control-label  col-sm-8'));
    $controlGroupDivControls = $this->Html->div('controls col-sm-3',$modelFichierEn.$modelFichierFr);
    $controlGroupDiv = $this->Html->div('control-group',$controlGroupDivLabel.$controlGroupDivControls);
    echo $this->Html->tag('fieldset', $legendFichier.$inputFichier.$controlGroupDiv,array('class'=>'fieldset_fichier') );

//Analyse
    $legendAnalyse = $this->Html->tag('legend','Analyse Votre Fichier');
    $contentAnalyse = $this->Html->div('content_res alert alert-success','');
    echo $this->Html->tag('fieldset', $legendAnalyse.$contentAnalyse, array('class'=>'fieldset_analyse'));
?>
<!--par view-organisme -->


<fieldset class="fieldset_carnet">
    <legend>Carnet concerné</legend>
    <?php
    echo $this->Form->input('Import.addressbook_id', array('type' => 'select', 'options' => $addressbooks, 'empty' => true, 'label' => array('text'=>'Carnet d\'adresses','class'=>'control-label  col-sm-5'),'class'=>'form-control')); 
    ?>
</fieldset>
<fieldset class="fieldset_organism">
    <legend>Organisme concerné</legend>
    <?php
    echo $this->Form->input('Import.organisme_id', array('type' => 'select', 'options' => $organismes, 'empty' => true, 'label' => array('text'=>'Organisme','class'=>'control-label  col-sm-5'),'class'=>'form-control')); 
    ?>
</fieldset>
<?php
echo $this->Form->end();
?>





<script type="text/javascript">
    $('#infos .controls .subFormImport').hide();
    $('.fieldset_fichier').hide();
    $('.fieldset_analyse').hide();
    $('.fieldset_organisme').hide();

    $('.fieldset_carnet').hide();
    $('.fieldset_organism').hide();
    $('.isExisteName').hide();


    $('#ImportAddressbookId').select2({allowClear: true, placeholder: "Sélectionner un carnet d'adresses"});
    $('#ImportOrganismeId').select2({allowClear: true, placeholder: "Sélectionner un organisme"});

    $('input[name="data[Import][format]"]').change(function () {
        if ($('input[name="data[Import][format]"]:checked').val() != '') {
            $('.fieldset_fichier').show();
            $('.fieldset_fichier label[for="ImportFichier"]').empty();
            $('.fieldset_fichier label[for="ImportFichier"]').append('Fichier *.' + $('input[name="data[Import][format]"]:checked').val());
        }
    });



    $('#ImportFile').change(function () {
        $('#ContactImportForm').ajaxSubmit({
            dataType: 'json',
            type: 'post',
            url: '/Contacts/import/',
            success: function (data) {
                $('.fieldset_analyse').show();
                if (data['situation'] == true && data['message'] != false) {
                    $('.fieldset_analyse .content_res').empty();
                    $('.fieldset_analyse .content_res').removeClass("alert alert-warning alert-danger");
                    $('.fieldset_analyse .content_res').addClass("alert alert-success");
                    $('.fieldset_analyse .content_res').html(data['message']);
                    $('.fieldset_analyse .content_res').append('<input type="hidden" value="' + data['filename'] + '" name="data[Import][update_file]">');

                    $('#infos .controls .subFormImport').show();
                    $('.fieldset_carnet').show();
                    $('.fieldset_organism').show();

                } else {
                    $('.fieldset_analyse .content_res').empty();
                    $('.fieldset_analyse .content_res').removeClass("alert alert-success");

                    if (data['message'] != false) {
                        $('.fieldset_analyse .content_res').html(data['message']);
                        $('.fieldset_analyse .content_res').addClass('alert alert-warning')
                    } else {
                        $('.fieldset_analyse .content_res').html('Votre fichier ne peut pas être importé, Vérifier les contenus de votre fichier.');
                        $('.fieldset_analyse .content_res').addClass('alert alert-danger')
                    }
                }

            },
            error: function (resultat, statut, erreur) {
                $('.fieldset_analyse').show();
                $('.fieldset_analyse .content_res').html('Votre fichier ne peut pas être importé, Vérifier les contenus de votre fichier.');
                $('.fieldset_analyse .content_res').addClass('alert alert-danger')
            }
        });
    });


</script>


