<?php

/**
 *
 * Layouts/login.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <?php echo $this->Html->charset(); ?>
        <title>
            <?php echo __d('default', 'titre'); ?>
        </title>
            <?php
            echo $this->Html->meta('icon');
            echo $this->fetch('meta');
            echo $this->fetch('css');
//            echo $this->Html->css(array(
//                    JQUERYCSS . 'jquery-ui-' . JQUERYUIVERSION . '.custom',
//                    JQUERYCSSBASE . 'jquery.jgrowl',
//                    JQUERYCSSBASE . 'jquery.treeview', 
//                    'webgfc', 
//                    'font-awesome/css/font-awesome.min.css',
//                    'pdf_viewer.css',
//                    'sweetalert2.min.css'
//            ));
        echo $this->Html->css(array(
            'vendor.css',
            'webgfc.css'
        ));
            echo $this->fetch('script');
//            echo $this->Html->script(array(
//                    JQUERYJSBASE . 'jquery-' . JQUERYVERSION,
//                    JQUERYJSBASE . 'jquery-ui-' . JQUERYUIVERSION . '.custom.min',
//                    JQUERYJSBASE . 'jquery.ui.datepicker-fr', 
//                    JQUERYJSBASE . 'jquery.simpleclass', 
//                    JQUERYJSBASE . 'jquery-migrate-1.2.1.min',
//                    'gui', 
//                    'default',
//                    'bootstrap.min',
//                    'layer/layer.js',
//                     'pdf.js',
//                     'pdf.worker.js',
//                     'pdf_viewer.js',
//                     'compatibility.js',
//                     'formValidate.js',
//                     'validator.min.js',
//                     'sweetalert2.min.js'
//            ));
            echo $this->Html->script(array(
                'vendor.js',
                'webgfc.js'
            ));
            ?>
    </head>
    <body>


        <!-- Header -->

        <nav class="navbar navbar-inverse navbar-fixed-top">
            <div class="container">
                <div class="navbar-header">
                    <a class="navbar-brand" href="#">
                        <img alt="web-GFC"
                             src="/img/WebGFC_white_h24px.png">
                    </a>
                </div>
            </div>
        </nav>
        <div id="content">
            <div id="realcontent" class="libriciel-background">

                    <?php echo $this->Session->flash(); ?>
                    <?php echo $this->fetch('content'); ?>
            </div>

        </div>
        <footer>
            <div class="navbar navbar-inverse navbar-fixed-bottom">
                <div class="container-fluid">
                    <span class="hidden-xs
                          hidden-sm
                          col-md-4
                          col-lg-4
                          navbar-left navbar-icons-buffer-top"
                          style="padding-left: 15px;">
                        <a data-toggle="tooltip"
                           title="asal@e"
                           href="https://www.libriciel.fr/asalae"
                           target="_external">
                            <img src="/img/Asalae_black_24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="i-delibRE"
                           href="https://www.libriciel.fr/i-delibre"
                           target="_external">
                            <img src="/img/i-delibRE_black_h24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="iParapheur"
                           href="https://www.libriciel.fr/i-parapheur"
                           target="_external">
                            <img src="/img/iParapheur_black_h24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="Pastell"
                           href="https://www.libriciel.fr/pastell"
                           target="_external">
                            <img src="/img/Pastell_black_24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="S2low"
                           href="https://www.libriciel.fr/s2low"
                           target="_external">
                            <img src="/img/S2low_black_h24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="WebCil" href="https://www.libriciel.fr/web-cil"
                           target="_external">
                            <img src="/img/WebCil_black_24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="WebDelib"
                           href="https://www.libriciel.fr/web-delib"
                           target="_external">
                            <img src="/img/WebDelib_black_h24px.png">
                        </a>
                        <a data-toggle="tooltip"
                           title="WebGFC"
                           href="https://www.libriciel.fr/web-gfc"
                           target="_external">
                            <img src="/img/WebGFC_white_h24px.png">
                        </a>
                    </span>

                    <span class="hidden-xs
                          hidden-4
                          col-sm-4
                          col-lg-4
                          text-center h5 text-muted"
                          style="padding-top: 6px;"> <!-- font-family: 'Ubuntu Light', serif -->
                        web-GFC v<span class="bold"><?php echo WEBGFCVERSION; ?></span> © 2012-2017 
                    </span>

                    <span class="col-xs-12
                          col-sm-4
                          col-md-4
                          col-lg-4
                          navbar-right navbar-icons-buffer-top"
                          style="padding-right: 30px;">
                        <a href="https://www.libriciel.fr" class="pull-right" target=_external">
                            <img src="/img/Libriciel_white_h24px.png"></img>
                        </a>
                    </span>
                </div>
            </div>
        </footer>
    </body>
</html>