    <?php
	$this->Csv->preserveLeadingZerosInExcel = true;
    
    $datasPassed = Hash::expand( $this->request->params['named'], '__' );
//    $ln = ( $datasPassed['Recherche']['ctypedocument'] === 'LN' );
    $isLn = in_array('LN',  (array)$datasPassed['Recherche']['ctypedocument']);
    if( $isLn ) {
        $this->Csv->addRow(
            array(
                'Référence',
                'Nom',
                'Objet',
                'Date d\'entrée dans la collectivité',
                'Date de réception',
                'Organisme',
                'Type',
                'N° de Marché',
                'Montant HT'
            )
        );
    }
    else {
        $this->Csv->addRow(
            array(
                'Statut',
                'Retard',
                'Référence',
                'Nom',
                'Objet',
                'Date d\'entrée dans la collectivité',
                'Date de réception',
                'Direction concernée',
                'Service concerné',
                'Organisme',
                'Contact',
                'Type',
                'Sous-type',
                'Dossier',
                'Affaire',
                'Nom de la tâche associée',
                'Montant HT',
                'Méta-données'
            )
        );
    }
    

	foreach( $flux as $result ) {
        if( !empty($datasPassed['Recherche']['cretard']) ) {
            $retard = $datasPassed['Recherche']['cretard'];
        }
        else {
            $retard = ( Hash::get( $result, 'Courrier.mail_retard_envoye' ) ? 'Oui' : 'Non');
        }
        $statut = Hash::get( $etat, Hash::get( $result, 'Bancontenu.etat' ) );
        if(in_array('LN',  (array)$datasPassed['Recherche']['ctypedocument']) ) {
            $row = array(
                Hash::get( $result, 'Courrier.reference' ),
                Hash::get( $result, 'Courrier.name' ),
                preg_replace( "/[\r\n]+/", " ", Hash::get( $result, 'Courrier.objet' ) ),
                $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
                $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
                Hash::get( $result, 'Organisme.name' ),
                Hash::get( $result, 'Type.name' ),
                Hash::get( $result, 'Marche.numero' ),
                Hash::get( $result, 'Lettre.montant' )
            );
        }
        else {
            $row = array(
                $statut,
    //			( Hash::get( $result, 'Courrier.mail_retard_envoye' ) ? 'Oui' : 'Non'),
                $retard,
                Hash::get( $result, 'Courrier.reference' ),
                Hash::get( $result, 'Courrier.name' ),
                preg_replace( "/[\r\n]+/", " ", Hash::get( $result, 'Courrier.objet' ) ),
                $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.date' ) ),
                $this->Html2->ukToFrenchDateWithSlashes( Hash::get( $result, 'Courrier.datereception' ) ),
                Hash::get( $result, 'Service.name' ),
                Hash::get( $services, Hash::get( $result, 'Service.parent_id' ) ),
                Hash::get( $result, 'Organisme.name' ),
                Hash::get( $result, 'Contact.name' ),
                Hash::get( $result, 'Type.name' ),
                Hash::get( $result, 'Soustype.name' ),
                Hash::get( $result, 'Dossier.name' ),
                Hash::get( $result, 'Affaire.name' ),
                Hash::get( $result, 'Tache.name' ),
                Hash::get( $result, 'Lettre.montant' ),
                Hash::get( $result, 'Metadonnee.valeur' )
            );
        }
		$this->Csv->addRow( $row );
	}
   
	Configure::write( 'debug', 0 );
	echo $this->Csv->render( "{$this->request->params['controller']}_{$this->request->params['action']}_".date( 'Ymd-His' ).'.csv' );
?>