<?php

/**
 *
 * Selectvaluesmetadonnees/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div class="col-sm-12 zone-form">
    <legend class="panel-title"><?php echo __d('selectvaluemetadonnee', 'Selectvaluemetadonnee.add'); ?></legend> 
    <div class="panel-body">
            <?php
            $formSelectvaluemetadonnee = array(
                'name' => 'Selectvaluemetadonnee',
                'label_w' => 'col-sm-6',
                'input_w' => 'col-sm-6',
                'input' => array(
                    'Selectvaluemetadonnee.name' => array(
                        'labelText' => __d('selectvaluemetadonnee', 'Selectvaluemetadonnee.name'),
                        'inputType' => 'text',
                        'items'=>array(
                            'type'=>'text'
                        )
                    ),
                    'Selectvaluemetadonnee.metadonnee_id' => array(
                        'inputType' => 'hidden',
                        'items'=>array(
                            'type'=>'hidden',
                            'value'=>$metadonneeId
                        )
                    )
                )
            );
            echo $this->Formulaire->createForm($formSelectvaluemetadonnee);
            echo $this->Form->end();
            ?>
    </div>
    <div class="controls text-center" role="group" >
        <a id="valid" class="btn btn-success "><i class="fa fa-check" aria-hidden="true"></i> Valider</a>
        <a id="cancel" class="btn btn-danger "><i class="fa fa-times" aria-hidden="true"></i> Annuler</a>
    </div>
</div>
<script>
    $('#valid').click(function () {
        var url = "<?php echo Router::url(array('controller' => 'selectvaluesmetadonnees', 'action' => 'add', $metadonneeId)); ?>";
        if (form_validate($('#SelectvaluemetadonneeAddForm'))) {
            gui.request({
                url: url,
                data: $('#SelectvaluemetadonneeAddForm').serialize(),
                loaderElement: $('#infos .content'),
                loaderMessage: gui.loaderMessage
            }, function (data) {
                loadValues();
            });
            loadValues();
        } else {
            swal({
                title: "Oops...",
                text: "Veuillez vérifier votre formulaire!",
                type: "error",
                timer: 1500
            });
        }
    });
    $('#cancel').click(function () {
        loadValues();
    });
</script>