<?php

/**
 *
 * Services/set_infos.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="row panel-body">
<?php
$formService = array(
    'name' => 'Service',
    'label_w' => 'col-sm-4',
    'input_w' => 'col-sm-6',
    'input' => array(
        'Service.id' => array(
            'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden'
            )
        ),
        'Service.name' => array(
            'labelText' =>__d('service', 'Service.name'),
            'inputType' => 'text',
            'items'=>array(
                'required'=>true,
                'type'=>'text'
            )
        ),
        'Service.email' => array(
            'labelText' =>__d('service', 'Service.email'),
            'inputType' => 'email',
            'items'=>array(
                'type'=>'email'
            )
        ),
        'Service.parent_id' => array(
            'labelText' =>__d('service', 'Service.service_id'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'options' => $services, 
                'empty' => true,
                'escape' => false
            )
        ),
        'Init.Init' => array(
            'labelText' => __d('service', 'Service.init'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'options' => $inits, 
                'empty' => true,
                'escape' => false,
                'multiple' => true
            )
        ),
        'Service.active' => array(
            'labelText' =>__d('service', 'Service.active'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox',
                'checked'=>$this->request->data['Service']['active']
            )
        ),
    )
);
echo $this->Formulaire->createForm($formService);
echo $this->Form->end();
?>
</div>
<script type="text/javascript">
    $('#ServiceParentId').select2();
    $('#InitInit').select2();

    $('#ServiceParentId').parent().removeClass('required');
</script>