<?php

/**
 *
 * Soustypes/set_rmodels.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
//$ulContent = '';
//if (empty($rmodels)) {
//	$ulContent = $this->Html->tag('li', __d('soustype', 'Soustype.Rmodel.void'), array('class' => 'alert alert-warning voidlist_item'));
//} else {
//	foreach ($rmodels as $rmodel) {
//		$liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Rmodel', 'ctxdoc' => $rmodel['Rmodel'], 'adminMode' => true));
//		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc'));
//	}
//}
//echo $this->Html->tag('ul', $ulContent, array('id' => 'rmodelList'));
//echo $this->Html->tag('span', __d('rmodel', 'Rmodel.bttn.add'), array('class' => 'rmodel_bttn_add'));
//echo $this->Html->tag('span', __d('rmodel', 'Rmodelgabarit.bttn.add'), array('class' => 'rmodel_gabarit_bttn_add'));
?>
<div id="rmodel">
    <fieldset>
        <legend><?php echo __d('rmodel', 'Rmodel.list'); ?></legend>
        <?php
        $ulContent = '';
        if (empty($rmodels)) {
            $ulContent = $this->Html->tag('li', __d('soustype', 'Soustype.Rmodel.void'), array('class' => 'alert alert-warning'));
        } else {
            foreach ($rmodels as $rmodel) {
                $liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Rmodel', 'ctxdoc' => $rmodel['Rmodel'], 'adminMode' => true,'sendCourrier'=>false,'sendGED'=>false));
                $ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc'));
            }
        }
        echo $this->Html->tag('ul', $ulContent, array('id' => 'rmodelListNew'));
//            echo $this->Html->tag('ul', $ulContent, array('id' => 'rmodelList'));
        ?>

    </fieldset>
    <fieldset>
        <legend><?php echo __d('rmodel', 'Rmodel.gabarit'); ?></legend>

        <?php
        $ul2Content = '';
        if (empty($rmodelsgabarits)) {
            $ul2Content = $this->Html->tag('li', __d('rmodel', 'Rmodel.Rmodelgabarit.void'), array('class' => 'alert alert-warning'));
        } else {
            foreach ($rmodelsgabarits as $rmodelgabarit) {
                $li2Content = $this->Element('ctxdoc', array('gfcDocType' => 'Rmodelgabarit', 'ctxdoc' => $rmodelgabarit['Rmodelgabarit'], 'adminMode' => true,'sendCourrier'=>false,'sendGED'=>false));
                $ul2Content .= $this->Html->tag('li', $li2Content, array('class' => 'ctxdoc'));
            }
        }
        echo $this->Html->tag('ul', $ul2Content, array('id' => 'rmodelListGabarit'));
        ?>

    </fieldset>
    <?php
    
    echo $this->Html->tag('span', '<i class="fa fa-plus" aria-hidden="true"></i> '.__d('rmodel', 'Rmodel.bttn.add'), array('class' => 'rmodel_bttn_add btn btn-info-webgfc'));
    echo $this->Html->tag('span', '<i class="fa fa-plus" aria-hidden="true"></i> '.__d('rmodel', 'Rmodelgabarit.bttn.add'), array('class' => 'rmodel_gabarit_bttn_add btn btn-info-webgfc'));
    ?>
</div>
<script type="text/javascript">
    $('.rmodel_bttn_add').button().click(function () {

        $('#rmodel').hide();

        gui.request({
            url: '/rmodels/add/' + "<?php echo $soustype_id; ?>",
            updateElement: $('#stype_tabs_3'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
        /*
         gui.formMessage({
         url: '/rmodels/add/' + "<?php echo $soustype_id; ?>",
         loader: true,
         loaderMessage: gui.loaderMessage,
         buttons: {
         "<?php echo __d('default', 'Button.submit'); ?>": function () {
         var form = $('#RmodelAddForm');
         if (form_validate(form)) {
         form.submit();
         
         $(this).parents(".modal").modal('hide');
         $(this).parents(".modal").empty();
         } else {
         sweetAlert(
         'Oops...',
         'Veuillez vérifier votre formulaire!',
         'error'
         )
         }
         },
         "<?php echo __d('default', 'Button.cancel'); ?>": function () {
         $(this).parents(".modal").modal('hide');
         $(this).parents(".modal").empty();
         }
         }
         });
         */
    });

    $('.ctxdocBttnDelete').click(function () {
        var docId = $(this).parent().parent().parent().attr('itemId');
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/rmodels/delete/' + docId,
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                }, function (data) {
                    getJsonResponse(data);
                    stype_tabs_reload();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });

    });

    $('.rmodel_gabarit_bttn_add').button().click(function () {

        $('#rmodel').hide();

        gui.request({
            url: '/rmodelgabarits/add/' + "<?php echo $soustype_id; ?>",
            updateElement: $('#stype_tabs_3'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
        /*
         gui.formMessage({
         url: '/rmodelgabarits/add/' + "<?php echo $soustype_id; ?>",
         loader: true,
         loaderMessage: gui.loaderMessage,
         buttons: {
         "<?php echo __d('default', 'Button.submit'); ?>": function () {
         var formgabarit = $('#RmodelgabaritAddForm');
         if (form_validate(formgabarit)) {
         formgabarit.submit();
         $(this).parents(".modal").modal('hide');
         $(this).parents(".modal").empty();
         } else {
         sweetAlert(
         'Oops...',
         'Veuillez vérifier votre formulaire!',
         'error'
         )
         }
         },
         "<?php echo __d('default', 'Button.cancel'); ?>": function () {
         $(this).parents(".modal").modal('hide');
         $(this).parents(".modal").empty();
         }
         }
         });
         */
    });
    $('.ctxdocBttnDeleteGabarit').click(function () {
        var ligneGabarit = $(this).parent().parent().parent();
        var docId = ligneGabarit.attr('itemId');
        var filename = ligneGabarit.find('.ctxdoc_name span.filename').html();
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/rmodelgabarits/delete/' + docId + '/' + "<?php echo $soustype_id; ?>" + '/' + filename,
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                }, function (data) {
                    getJsonResponse(data);
                    stype_tabs_reload();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });

    });
</script>