<?php

/**
 *
 * Authentifications/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
//echo $this->Html->css(array('administration'), null, array('inline' => false));  
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="container">
    <div id="liste" class="row">
        <div  class="table-list">
            <h3><?php echo 'Adresse mail de test'; ?></h3>
            <div class="content" style="padding-top: 70px;">
                    <?php
                    $formEnvironnement = array(
                        'name' => 'Environnement',
                        'label_w' => 'col-sm-4',
                        'input_w' => 'col-sm-5',
                        'input' => array(
                            'mail' => array(
                                'labelText' =>'Adresse mail à tester',
                                'inputType' => 'email',
                                'items'=>array(
                                    'required'=>true,
                                    'type'=>'email'
                                )
                            )
                        )
                    );
                    echo $this->Formulaire->createForm($formEnvironnement);
                    echo $this->Form->end();
                    ?>
            </div>
        </div>
        <div class="controls panel-footer " role="group" >
            <?php
                    echo $this->Html->link(" <img src='/img/mail_send.png'></img>", '#', array('id'=>'send_mail_btn','class' => 'btn btn-info-webgfc', 'escape' => false, 'title' => 'Envoyer le mail'));
                    echo $this->Form->end();
                ?>
        </div>
    </div>
</div>


<script type="text/javascript">
    $('#send_mail_btn').click(function () {
        var form = $('#EnvironnementGetTestMailForm');
        if (form_validate(form)) {
            gui.request({
                url: '/checks/testenvoimail',
                data: $('#EnvironnementGetTestMailForm').serialize()
            });
        } else {
            swal({
                title: "Oops...",
                text: "Veuillez vérifier votre formulaire!",
                type: "error",
                timer: 1500
            });
        }

    });

    $(document).on("keypress", 'form', function (e) {
        var code = e.keyCode || e.which;
        if (code == 13) {
            e.preventDefault();
            return false;
        }
    });

</script>