<?php

/**
 *
 * Courriers/send.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<?php

$formCourrier= array(
    'name' => 'Courrier',
    'label_w' => 'col-sm-4',
    'input_w' => 'col-sm-6',
    'input' => array(
        'Send.initDesktopService' => array(
            'labelText' =>__d('courrier', 'chooseInitDesktopService'),
            'inputType' => 'select',
            'items'=>array(
                'type' => 'select', 
//                'multiple' => true,
                'class' => 'destination', 
                'options' => $services,
                'empty' =>true
            )
        ),
        'Send.flux_id' => array(
            'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden'
            )
        ),
        'Send.copy' => array(
            'labelText' =>__d('courrier', 'Courrier.copy'),
            'inputType' => 'checkbox',
            'items'=>array(
                'type'=>'checkbox'
            )
        ),
        'Send.copy_id' => array(
            'labelText' =>__d('courrier', 'Courrier.desktop_to_send'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
//                'multiple' => true, 
                'empty' => true,
                'options' => @$allDesktops
            )
        ),
        'Comment.content' => array(
            'labelText' => __d('comment', 'Comment.content'),
            'inputType' => 'textarea',
            'items'=>array(
                'type'=>'textarea'
            )
        )
    )
);
?>
<?php 
if(!empty($itemList)) {
    foreach ($itemList['DispForm']['itemToLink'] as $i => $item) { 
        $formCourrier['input']["DispForm.itemToLink.{$i}"] = array(
            'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden',
                'value'=>$item
            )
        );
    } 
} 
?>
<legend>Aiguillage vers les services suivants</legend>
<?php
echo $this->Formulaire->createForm($formCourrier);
echo $this->Form->end();

//$fieldsetServiceDestContent = $this->Html->tag('legend', 'Aiguillage vers les services suivants', array('class' => ''));
//$fieldsetServiceDestContent .= $this->Form->input('Send.initDesktopService', array('type' => 'select', 'multiple' => true, 'class' => 'destination', 'options' => $services, 'div' => false, 'label' => array('text'=> __d('courrier', 'chooseInitDesktopService'),'class'=>'control-label  col-sm-5'),'class' => 'form-control', 'empty' => true));
//echo $this->Html->tag('fieldset', $fieldsetServiceDestContent, array( 'class' => 'aere' ));

//$fieldsetEnvoiCopieContent = $this->Html->tag('legend', 'Liste des utilisateurs pour l\'envoi d\'une copie', array('class' => ''));


//echo $this->Form->input('Comment.content', array('type' => 'textarea', 'label' => array('text'=> __d('comment', 'Comment.content'),'class'=>'control-label  col-sm-5'),'class' => 'form-control'));
//echo $this->Form->end();
?>

<script type="text/javascript">
    $("<legend>Liste des utilisateurs pour l'envoi d'une copie</legend>").insertBefore($('#SendCopy').parents('.form-group'));
    $('#SendCopyId').parents('.form-group').css('display', 'none');
    $('#SendCopy').change(function () {
        if ($(this).prop("checked")) {
            $('#SendCopyId').parents('.form-group').css('display', 'block');
            $("#SendCopyId").select2();
        } else {
            $('#SendCopyId').parents('.form-group').css('display', 'none');
        }
    });


    $('#CourrierDispmultiplesendForm select').each(function () {
        setJselectNew($(this));
    });

    $(document).ready(function () {
        $("#SendInitDesktopService").select2();
    });
</script>