<?php

/**
 *
 * Documents/get_fichier_scane.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Yuzhu JIN
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->script('pdfjs/build/pdf.js');
echo $this->Html->script('pdfjs/web/pdf_viewer.js');
echo $this->Html->css('/app/webroot/js/pdfjs/web/pdf_viewer.css');
?>
<div id="viewerContainer">
    <div id="viewer" class="pdfViewer" ></div>
</div>

<script>
    <?php if (isset($fileName)) { ?>
    if (!PDFJS.PDFViewer || !PDFJS.getDocument) {
        alert('Please build the library and components using\n' +
                'node make generic components');
    }
    PDFJS.workerSrc = '<?php echo $this->Html->url('/app/webroot/js/pdfjs/build/pdf.worker.js',true); ?>';
    var DEFAULT_URL = '<?php echo $this->Html->url('/files/previews/'.$fileName,true); ?>';
    var container = document.getElementById('viewerContainer');
    var pdfViewer = new PDFJS.PDFViewer({
        container: container,
    });
    container.addEventListener('pagesinit', function () {
        // We can use pdfViewer now, e.g. let's change default scale.
        pdfViewer.currentScaleValue = 'auto';
    });
    PDFJS.getDocument(DEFAULT_URL).then(function (pdfDocument) {
        // Document loaded, specifying document for the viewer
        pdfViewer.setDocument(pdfDocument);
    });
    <?php } ?>
</script>