<?php

/**
 *
 * Groups/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<?php
$formGroups = array(
    'name' => 'Group',
    'label_w' => 'col-sm-6',
    'input_w' => 'col-sm-6',
    'input' => array(
        'Group.name' => array(
            'labelText' =>__d('event', 'Event.name'),
            'inputType' => 'text',
            'items'=>array(
                'required'=>true,
                'type'=>'text'
            )
        ),
        'Group.group_id' => array(
            'labelText' =>($this->Html->tag('span', __d('group', 'CopieDroitGroup'), array('class' => 'bold')) . $this->Html->tag('span', '*', array('style' => 'color: #ee3311;'))),
            'inputType' => 'select',
            'items'=>array(
                'options' => $groups,
                'type'=>'select',
                'empty' => true,
                'required'=>true
            )
        )
    )
);
echo $this->Formulaire->createForm($formGroups);
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#GroupName').blur(function () {
        gui.request({
            url: "/groups/ajaxformvalid/name",
            data: $('#GroupAddForm').serialize()
        }, function (data) {
            processJsonFormCheck(data);
        });
    });

    $('#GroupGroupId').select2();

</script>