<?php

/**
 *
 * Keywordlists/get_keywordlists.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($keywordlists)) {
    foreach ($keywordlists as $key => $keywordlist) {
        $actions = '<span  class = "ligne-action"><i class="fa fa-search viewKeywordlist Keywordlist" aria-hidden="true" onclick="viewKeywordlist(' . $keywordlist['Keywordlist']['id'] . ');return false" ></i><i class="fa fa-pencil-square-o editKeywordlist Keywordlist" aria-hidden="true" onclick="editKeywordlist(' . $keywordlist['Keywordlist']['id'] . ');return false" ></i></span>';
        $node = array(
            'text' => $keywordlist['Keywordlist']['nom'] .$actions ,
            'selectable' => false,
            'icon' => 'fa fa-key'
        );
        $res[$key] = $node;
    }
?>
<div id="tree" style="margin-top: 10px;">
</div>
<?php 
} else {
    echo $this->Html->div('alert alert-warning',__d('keyword', 'Keywordlist.void'));
}
?>

<script type="text/javascript">
    $("#tree").treeview({
        data: <?php echo json_encode($res); ?>,
        'collapseIcon': 'fa fa-chevron-down',
        'expandIcon': 'fa fa-chevron-right'
    });

    function viewKeywordlist(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/keywordlists/view/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function editKeywordlist(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/keywordlists/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

</script>