<?php

/**
 *
 * Users/get_infos_compte.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
if (!$reloadDesktops) {

//	echo $this->Html->css(array('zones/user/infoscompte'), null, array('inline' => false));
//	echo $this->Html->css(array('zones/delegation/index'), null, array('inline' => false));
	?>
<script type="text/javascript">
    function reloadDelegDependances() {
        loadDeleg();
        gui.request({
            url: "/users/getInfosCompte/1",
            loader: true,
            updateElement: $('#iuContent'),
            loaderMessage: gui.loaderMessage
        }, function (data) {
            $('#iuContent').html(data);
        });
    }
</script>
<div class="container" id="getInfosCompteContainer">
    <div class="row">
        <div class="container-formulaire">
            <h3><?php echo __d('user', 'User.staticInfos'); ?></h3>
            <!-- <div class="row info_haut">
                <div class="label col-sm-3">Nom de Bureau</div>
                <div class="contentInto col-sm-3"><?php echo Set::classicExtract($user, 'Desktop.name'); ?></div>
                <div class="label col-sm-3"><?php echo __d('user', 'User.created') ?></div>
                <div class="contentInto col-sm-3"><?php echo $this->Html2->ukToFrenchDateWithHourAndSlashes(Set::classicExtract($user, 'User.created')); ?></div>
            </div>
            <hr> -->
            <div class="row">

                <!--role principal-->
            <?php 
            $delegationImgIcon = '';
//            if( $okicondelegate ) {
                if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegatedDesktops)) {
                    $delegationImgIcon .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
                }
                if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegateToDesktops)) {
                    $delegationImgIcon .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
                }
//            }
//            else {
//                $delegationImgIcon = '';
//            }
            $delegationImg = $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg btn btn-info-webgfc', 'url' => '/desktops/setDeleg/' . $user['Desktop']['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
            ?>
                <div class="col-sm-4">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><?php echo __d('user', 'User.mainDesktop'); echo  '<div class="icon-title">'.Set::classicExtract($user, 'Desktop.name').' ' .$delegationImgIcon.'</div>';?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('desktop', 'Desktop.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo Set::classicExtract($user, 'Desktop.name'); ?></div>
                            </div>
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('group', 'Group.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo Set::classicExtract($user, 'Desktop.Group.name'); ?></div>
                            </div>
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('desktop', 'Desktop.Services.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo $this->Html->nestedList(Set::classicExtract($user, 'Desktop.Service.{n}.name')); ?></div>
                            </div>
                        </div>
                        <div class="panel-footer" id="chNotif">
                        <?php echo $delegationImg; ?>
                        </div>
                    </div>
                </div>
            <?php 
            foreach ($user['SecondaryDesktop'] as $desktop) {
                    $class = '';
                    $secondaryDesktopTitle = '';
                    if (in_array(Set::classicExtract($desktop, 'id'), $baseDesktops)) {
                        $secondaryDesktopTitle .= __d('user', 'User.secondaryDesktop');
                    }
                    if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
                        $secondaryDesktopTitle .= __d('user', 'User.secondaryDelegateToDesktop.short');
                    }
               $classPanel = ' panel-default';
                    if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
//                   $class= 'style="background-color:lightyellow;"';
                   $classPanel= ' panel-warning';
                        $secondaryDesktopTitle = __d('user', 'User.secondaryDelegatedDesktop');
                    }
                     $delegationImgIcon = '';
    //               if( $desktop['DesktopsUser']['delegation'] == true ) {
                    if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
                        $delegationImgIcon .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
                    }
                    if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
                        $delegationImgIcon .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
                    }
    //               }
                    $delegationImg = $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg btn btn-info-webgfc', 'url' => '/desktops/setDeleg/' . $desktop['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
                    ?>
                <div class="col-sm-4">
                    <div class="panel <?php echo $classPanel;?>">
                        <div class="panel-heading">
                            <h4 class="panel-title " ><?php echo $secondaryDesktopTitle; echo '<span class="icon-title">'.Set::classicExtract($desktop, 'name'). ' ' .$delegationImgIcon.'</span>';?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('desktop', 'Desktop.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo Set::classicExtract($desktop, 'name'); ?></div>
                            </div>
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('group', 'Group.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo Set::classicExtract($desktop, 'Group.name'); ?></div>
                            </div>
                            <div class="row">
                                <div class="label col-sm-3"><?php echo __d('desktop', 'Desktop.Services.name'); ?></div>
                                <div class="contentInto col-sm-9"><?php echo $this->Html->nestedList(Set::classicExtract($desktop, 'Service.{n}.name')); ?></div>
                            </div>
                        </div>
                        <div class="panel-footer"  id="chNotif">
                            <?php echo $delegationImg; ?>
                        </div>
                    </div>
                </div>

                <?php

            }
        ?>
            </div>

        </div>
    </div>
</div>



<?php
////preparation des informations non editables de l utilisateur
//	$dlContentStaticInfos = '';
////   $dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.id'), array('class' => 'ui-state-focus'));
////   $dlContentStaticInfos .= $this->Html->tag('dd', Set::classicExtract($user, 'User.id'));
//	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.username'), array('class' => 'ui-state-focus'));
//	$dlContentStaticInfos .= $this->Html->tag('dd', Set::classicExtract($user, 'User.username'));
//	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.created'), array('class' => 'ui-state-focus'));
//	$dlContentStaticInfos .= $this->Html->tag('dd', $this->Html2->ukToFrenchDateWithHourAndSlashes(Set::classicExtract($user, 'User.created')));
//	$dlContentStaticInfos .= $this->Html->tag('dt', __d('user', 'User.modified'), array('class' => 'ui-state-focus'));
//	$dlContentStaticInfos .= $this->Html->tag('dd', $this->Html2->ukToFrenchDateWithHourAndSlashes(Set::classicExtract($user, 'User.modified')));
//	$dlStaticInfos = $this->Html->tag('dl', $dlContentStaticInfos);
//	$getUserRights = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/users/getRights/' . $user['User']['id'] . '/func')));
//	$headStaticInfos = $this->Html->tag('h3', __d('user', 'User.staticInfos') . $getUserRights, array('class' => 'ui-widget-header ui-corner-all'));
//	$divStaticInfos = $this->Html->tag('div', $headStaticInfos . $dlStaticInfos, array('id' => 'staticInfos', 'class' => 'ui-widget ui-widget-content ui-corner-all shadowBox'));
}
//préparation du rôle principal
//$dlContentMainDesktop = '';
//$dlContentMainDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.name'), array('class' => 'ui-state-focus'));
//$dlContentMainDesktop .= $this->Html->tag('dd', Set::classicExtract($user, 'Desktop.name'));
//$dlContentMainDesktop .= $this->Html->tag('dt', __d('group', 'Group.name'), array('class' => 'ui-state-focus'));
//$dlContentMainDesktop .= $this->Html->tag('dd', Set::classicExtract($user, 'Desktop.Group.name'));
//$dlContentMainDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.Services.name'), array('class' => 'ui-state-focus'));
//$dlContentMainDesktop .= $this->Html->tag('dd', $this->Html->nestedList(Set::classicExtract($user, 'Desktop.Service.{n}.name')));
//$dlMainDesktop = $this->Html->tag('dl', $dlContentMainDesktop);
//$delegationImg = '';
//if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegatedDesktops)) {
//	$delegationImg .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
//}
//if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegateToDesktops)) {
//	$delegationImg .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
//}
//$delegationImg .= $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg', 'url' => '/desktops/setDeleg/' . $user['Desktop']['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
//$delegationInfos = $this->Html->tag('div', 'azeaze', array('class' => 'delegInfos'));
//$spanDeleg = !empty($delegationImg) ? $this->Html->tag('span', $delegationImg . $delegationInfos, array('class' => 'spanDeleg')) : '';
//
//// Renommage de l'intitulé du desktop principal si ce dernier est délégué
//$mainDesktopTitle = __d('user', 'User.mainDesktop');
//if (in_array(Set::classicExtract($user, 'Desktop.id'), $delegateToDesktops)) {
//	$mainDesktopTitle = __d('user', 'User.mainDelegatedDesktop');
//}
//$desktopGetRightsBttn = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/desktops/getRights/' . $user['Desktop']['id'] . '/func')));
//$headMainDesktop = $this->Html->tag('h3', $mainDesktopTitle/* __d('user', 'User.mainDesktop') */ . $desktopGetRightsBttn . $spanDeleg, array('class' => 'ui-widget-header ui-corner-all'));
//
//$divMainDesktop = $this->Html->tag('div', $headMainDesktop . $dlMainDesktop, array('id' => 'desktop_' . Set::classicExtract($user, 'Desktop.id'), 'class' => 'desktop mainDesktop ui-widget ui-widget-content ui-corner-all shadowBox'));
//
//
////prepration des rôles secondaires
//$secondarysDesktops = '';
//foreach ($user['SecondaryDesktop'] as $desktop) {
//	$dlContentSecondaryDesktop = '';
//	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.name'), array('class' => 'ui-state-focus'));
//	$dlContentSecondaryDesktop .= $this->Html->tag('dd', Set::classicExtract($desktop, 'name'));
//	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('group', 'Group.name'), array('class' => 'ui-state-focus'));
//	$dlContentSecondaryDesktop .= $this->Html->tag('dd', Set::classicExtract($desktop, 'Group.name'));
//	$dlContentSecondaryDesktop .= $this->Html->tag('dt', __d('desktop', 'Desktop.Services.name'), array('class' => 'ui-state-focus'));
//	$dlContentSecondaryDesktop .= $this->Html->tag('dd', $this->Html->nestedList(Set::classicExtract($desktop, 'Service.{n}.name')));
//	$dlSecondaryDesktop = $this->Html->tag('dl', $dlContentSecondaryDesktop);
//	$delegationImg = '';
//	if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
//		$delegationImg .= $this->Html->image('/img/delegated_16.png', array('alt' => __d('desktop', 'Desktop.delegated'), 'title' => __d('desktop', 'Desktop.delegated')));
//	}
//	if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
//		$delegationImg .= $this->Html->image('/img/delegto_16.png', array('alt' => __d('desktop', 'Desktop.delegateTo'), 'title' => __d('desktop', 'Desktop.delegateTo')));
//	}
//	$delegationImg .= $this->Html->image('/img/deleg_16.png', array('class' => 'setDeleg', 'url' => '/desktops/setDeleg/' . $desktop['id'], 'alt' => __d('deleg', 'Deleg.new'), 'title' => __d('deleg', 'Deleg.new')));
//	$spanDeleg = !empty($delegationImg) ? $this->Html->tag('span', $delegationImg, array('class' => 'spanDeleg')) : '';
//
//	// Renommage de l'intitulé du desktop secondaire si ce dernier est délégué
//	$secondaryDesktopTitle = '';
//	if (in_array(Set::classicExtract($desktop, 'id'), $baseDesktops)) {
//		$secondaryDesktopTitle .= __d('user', 'User.secondaryDesktop');
//	}
//	if (in_array(Set::classicExtract($desktop, 'id'), $delegateToDesktops)) {
//		$secondaryDesktopTitle .= __d('user', 'User.secondaryDelegateToDesktop.short');
//	}
//	if (in_array(Set::classicExtract($desktop, 'id'), $delegatedDesktops)) {
//		$secondaryDesktopTitle = __d('user', 'User.secondaryDelegatedDesktop');
//	}
//	$desktopGetRightsBttn = $this->Html->tag('span', $this->Html->image('/img/rights.png', array('class' => 'getRights', 'alt' => 'Habilitations', 'title' => __d('user', 'User.getRights'), 'url' => '/desktops/getRights/' . $desktop['id'] . '/func')));
//	$headSecondaryDesktops = $this->Html->tag('h3', $secondaryDesktopTitle/* __d('user', 'User.secondaryDesktop') */ . $desktopGetRightsBttn . $spanDeleg, array('class' => 'ui-widget-header ui-corner-all'));
//
//	$secondarysDesktops .= $this->Html->tag('div', $headSecondaryDesktops . $dlSecondaryDesktop, array('id' => 'desktop_' . Set::classicExtract($desktop, 'id'), 'class' => 'desktop secondaryDesktop ui-widget ui-widget-content ui-corner-all shadowBox'));
//}
//
//if (!$reloadDesktops) {
//
////présentation en colonnes
//	$iuSideLeft = $this->Html->tag('div', $divStaticInfos, array('id' => 'iuSideLeft'));
//	$iuContent = $this->Html->tag('div', $divMainDesktop . $secondarysDesktops, array('id' => 'iuContent'));
//
//	$headSideRight = $this->Html->tag('h3', __d('deleg', 'Deleg.info'), array('class' => 'divDelegHeader ui-widget-header ui-corner-all'));
//	$contentSideRight = $this->Html->tag('div', $this->Html->tag('div', __d('desktop', 'Desktop.info.void'), array('class' => 'alert alert-warning', 'style' => 'text-align:center;')), array('id' => 'divDelegContent'));
//
////  $iuSideRight = $this->Html->tag('div', $headSideRight . $contentSideRight, array('id' => 'iuSideRight', 'class' => 'ui-widget ui-widget-content ui-corner-all'));
//	$iuContainer = $this->Html->tag('div', $iuSideLeft . $iuContent /* . $iuSideRight */, array('id' => 'iuContainer', 'class' => 'ui-widget ui-widget-content ui-corner-all'));
//	$iuWrapper = $this->Html->tag('div', $iuContainer, array('id' => 'iuWrapper'));
//	echo $iuWrapper;
//	echo $this->Html->tag('span', '&nbsp;', array('class' => 'ui-helper-clearfix'));
//}
?>
<script type="text/javascript">
    $('.desktop').hover(function () {
        $(this).addClass('alert alert-warning');
    }, function () {
        $(this).removeClass('alert alert-warning');
    });

    $('.getRights').remove();
    $('.setDeleg').each(function () {
        var img = $(this);
        var link = $(this).parent();
        var url = link.attr('href');
        var container = link.parent();
        var desktop = img.parents('.desktop');

        container.append(img);
        link.remove();

        img.button().click(function () {

            $('.desktop').removeClass('ui-state-focus');
            $(desktop).addClass('ui-state-focus');
            /*
             gui.request({
             url: url,
             loader: true,
             updateElement: $('#iuContent'),
             loaderMessage: gui.loaderMessage
             }, function (data) {
             */
            gui.formMessage({
                width: '450px',
                title: '<?php echo __d('deleg', 'Deleg.info'); ?>',
                url: url,
                loader: true,
                updateElement: $('body'),
                loaderMessage: gui.loaderMessage,
                buttons: {
                    "<?php echo __d('default', 'Button.submit'); ?>": function () {
                        if (form_validate($('#DesktopsUserSetDelegForm'))) {
                            var updateElement = $('.divRD');
                            if (updateElement.length == 0) {
                                updateElement = $('.ui-dialog-content');
                            }

                            var url = $('#DesktopsUserSetDelegForm').attr('action');

                            gui.request({
                                url: url,
                                data: $('#DesktopsUserSetDelegForm').serialize(),
                                loader: true,
                                updateElement: updateElement,
                                loaderMessage: gui.loaderMessage
                            }, function (data) {
                                getJsonResponse(data);
                                gui.request({
                                    url: url,
                                    loader: true,
                                    updateElement: updateElement,
                                    loaderMessage: gui.loaderMessage
                                }, function (data) {
                                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/users/getInfosCompte"; ?>";
                                    updateElement.html(data);
                                });
                            });
                            $(this).parents('.modal').modal('hide');
                            $(this).parents('.modal').empty();
                        } else {
                            swal({
                                title: "Oops...",
                                text: "Veuillez vérifier votre formulaire!",
                                type: "error",
                                timer: 1500
                            });
                        }
                    },
                    "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                        $(this).parents('.modal').modal('hide');
                        $(this).parents('.modal').empty();
                    }

                }
            });
            // });
        });
    });
</script>

<?php
//if ($reloadDesktops) {
//	echo $divMainDesktop;
//	echo $secondarysDesktops;
//}
?>
