<?php

/**
 *
 * Users/is_away.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if ($isAway > 0) {
	?>
<a class="notification_fullwrapper">
		<?php
		$span_notif = $this->Html->tag('div', $isAway, array('class' => 'badge'));
		$span_notif .= $this->Html->tag('div','<i class="fa fa-user-times"  aria-hidden="true" style="color:#fff;"></i>', array('id' => 'viewDeleg', 'title' => __d('deleg', 'Deleg.active'),'escape' => false));
		echo $this->Html->tag('span', $span_notif, array('class' => 'notification_wrapper'));
		?>

    <div id="divAbsence" class="panel">
        <div class="arrow"></div>  
        <div class="content_notification">

            <h4 class="panel-title">Délégué:</h4>
            <div  class="notification_div" style="text-align:center;"><?php //echo __d('deleg', 'Deleg.active'); ?>
            <?php 
            if(count($delegatedDesktopsContents)>0):
            ?>
                <legend>Rôle Reçu</legend>
                <table class="tableDelegatedDesktops notification_div" data-toggle="table" data-locale = "fr-CA">
                    <thead>
                        <tr>
                            <th>Rôle</th>
                            <th>Service</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($delegatedDesktopsContents as $delegatedDesktopsContent): ?>
                        <tr>
                            <td><?php echo $delegatedDesktopsContent['desktopName']; ?></td>
                            <td><?php echo @$delegatedDesktopsContent['serviceName']; ?></td>
                        </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            <?php
            endif;
            ?>
            <?php 
            if(count($delegateToDesktopsContents)>0):
            ?>
                <legend><?php echo  __d( 'user', 'Delegate.role'); ?></legend>
                <table class="tableDelegatedToDesktops notification_div" data-toggle="table" data-locale = "fr-CA">
                    <thead>
                        <tr>
                            <th><?php echo __d( 'user', 'Delegate.user'); ?></th>
                            <th><?php echo __d( 'user', 'Delegate.desktop'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($delegateToDesktopsContents as $delegateToDesktopsContent): ?>
                        <tr>
                            <td><?php echo $delegateToDesktopsContent['UserInfo']; ?></td>
                            <td><?php echo $delegateToDesktopsContent['Role']; ?></td>
                        </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            <?php
            endif;
            ?>
                <?php
                            
                            
//                            if(count($delegatedDesktopsContents)>0){
//                                $fieldsetdelegatedDesktopsContents = $this->Html->tag('h3', 'Rôle Reçu', array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
//                                //$fieldsetdelegatedDesktopsContents .= $this->Html->tag('table');
//                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('tr');
//                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('th','Rôle');
//                                $fieldsetdelegatedDesktopsContents .= $this->Html->tag('th','Service');
//                                foreach($delegatedDesktopsContents as $delegatedDesktopsContent){
//                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('tr');
//                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('td',$delegatedDesktopsContent['desktopName']);
//                                    $fieldsetdelegatedDesktopsContents .= $this->Html->tag('td',@$delegatedDesktopsContent['serviceName']);
//                                }
//                                echo $this->Html->tag('table', $fieldsetdelegatedDesktopsContents, array('class'=>'tableDelegatedDesktops notification_div'));    
//                            }
                            
//                            if(count($delegateToDesktopsContents)>0){
//                                $fieldsetdelegateToDesktopsContents = $this->Html->tag('h3', __d( 'user', 'Delegate.role'), array('class' => 'ui-widget-content ui-corner-all ui-state-focus'));
//                                //$fieldsetdelegateToDesktopsContents .= $this->Html->tag('table');
//                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('tr');
//                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('th',__d( 'user', 'Delegate.user'));
//                                $fieldsetdelegateToDesktopsContents .= $this->Html->tag('th',__d( 'user', 'Delegate.desktop'));
//                                foreach($delegateToDesktopsContents as $delegateToDesktopsContent){
//                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('tr');
//                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('td',$delegateToDesktopsContent['UserInfo']);
//                                    $fieldsetdelegateToDesktopsContents .= $this->Html->tag('td',$delegateToDesktopsContent['Role']);
//                                }
//                                echo $this->Html->tag('table', $fieldsetdelegateToDesktopsContents, array('class'=>'tableDelegatedToDesktops notification_div'));  
//                                //echo json_encode($delegateToDesktopsContents);
//                             }
                             
                           ?>
            </div>

            <div class="notif_actions" id="gotoSetAbsence"></div>
        </div>
    </div>
</a>
<script type="text/javascript">
    $('.tableDelegatedDesktops').bootstrapTable();
    $('.tableDelegatedToDesktops').bootstrapTable();
    gui.buttonbox({
        element: $('#gotoSetAbsence'),
        align: "center"
    });

    gui.addbutton({
        element: $('#gotoSetAbsence'),
        button: {
            content: ' <i class="fa fa-info fa-fw" aria-hidden="true"></i>',
            class: 'pull-right',
            title: "<?php echo __d('menu', 'Informations du compte'); ?>",
            action: function () {
                window.location.href = "<?php echo Configure::read('BaseUrl') . "/users/getInfosCompte"; ?>";
            }
        }
    })

</script>
	<?php
} else {
	echo '<a><i class="fa fa-user-times" aria-hidden="true"></i></a>';
}
?>